
From: Adam Belay <ambx1@neo.rr.com>

- cs4236 doesn't check if the memory for the resource table was
  successfully allocated.




 sound/isa/cs423x/cs4236.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN sound/isa/cs423x/cs4236.c~cs423x-fixes sound/isa/cs423x/cs4236.c
--- 25/sound/isa/cs423x/cs4236.c~cs423x-fixes	2003-06-03 20:18:21.000000000 -0700
+++ 25-akpm/sound/isa/cs423x/cs4236.c	2003-06-03 20:18:21.000000000 -0700
@@ -281,6 +281,9 @@ static int __devinit snd_card_cs4236_pnp
 	struct pnp_resource_table * cfg = kmalloc(sizeof(struct pnp_resource_table), GFP_KERNEL);
 	int err;
 
+	if (!cfg)
+		return -ENOMEM;
+
 	acard->wss = pnp_request_card_device(card, id->devs[0].id, NULL);
 	if (acard->wss == NULL) {
 		kfree(cfg);

_
